#ifndef _WAVE_HEADER_H_
#define _WAVE_HEADER_H_

typedef unsigned short WORD;
typedef unsigned long DWORD;

typedef struct
	{						/* header for WAV-Files */
	char main_chunk[4];		/* 'RIFF' */
	DWORD length;			/* length of file */
	char chunk_type[4];		/* 'WAVE' */
	char sub_chunk[4];		/* 'fmt' */
	DWORD length_chunk;		/* length sub_chunk, always 16 bytes */
	WORD format;			/* always 1 = PCM-Code */

	WORD modus;				/* 1 = Mono, 2 = Stereo */
	DWORD sample_fq;		/* Sample Freq */
	DWORD byte_p_sec;		/* Data per sec */
	WORD byte_p_spl;		/* bytes per sample, 1=8 bit, 2=16 bit (mono)
						     2=8 bit, 4=16 bit (stereo) */
	WORD bit_p_spl;			/* bits per sample, 8, 12, 16 */
	char data_chunk[4];		/* 'data' */
	DWORD data_length;		/* length of data */
	} wave_header;
					
#endif /* _WAVE_HEADER_H_ */
